### 5.1.44 flintQ

`Syntax:`
  `flintQ (` list_of_names `)`
`Type:`
  cring
`Purpose:`
  returns a coefficient ring of multivariate rational functions over Q to be used in ring definitions. Require flint >=2.5.3.
`Example:`

        LIB "flint.so";
        ring R1=flintQ(a,b),(x,y),dp;
        R1;
      ==> // coefficients: flintQQ(a,b) considered as a field
      ==> // number of vars : 2
      ==> //        block   1 : ordering dp
      ==> //                  : names    x y
      ==> //        block   2 : ordering C

See cring; ring.

User manual for Singular version 4.4.1, 2025, generated by texi2html.